diff -aruN --binary 15/administrator/modules/mod_login/mod_login.php 16/administrator/modules/mod_login/mod_login.php
--- 15/administrator/modules/mod_login/mod_login.php	2009-05-29 13:51:46.000000000 +0200
+++ 16/administrator/modules/mod_login/mod_login.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_login.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_login.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_menu/helper.php 16/administrator/modules/mod_menu/helper.php
--- 15/administrator/modules/mod_menu/helper.php	2009-05-29 13:51:46.000000000 +0200
+++ 16/administrator/modules/mod_menu/helper.php	2010-04-23 13:40:12.000000000 +0200
@@ -2,7 +2,7 @@
 /**
 * @version		$Id:mod_menu.php 2463 2006-02-18 06:05:38Z webImagery $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_menu/menu.php 16/administrator/modules/mod_menu/menu.php
--- 15/administrator/modules/mod_menu/menu.php	2009-05-29 13:51:46.000000000 +0200
+++ 16/administrator/modules/mod_menu/menu.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
- * @version		$Id: menu.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: menu.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/modules/mod_menu/mod_menu.php 16/administrator/modules/mod_menu/mod_menu.php
--- 15/administrator/modules/mod_menu/mod_menu.php	2009-05-29 13:51:46.000000000 +0200
+++ 16/administrator/modules/mod_menu/mod_menu.php	2010-04-23 13:40:12.000000000 +0200
@@ -2,7 +2,7 @@
 /**
 * @version		$Id:mod_menu.php 2463 2006-02-18 06:05:38Z webImagery $
 * @package		Joomla
-* @copyright		Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright		Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_online/mod_online.php 16/administrator/modules/mod_online/mod_online.php
--- 15/administrator/modules/mod_online/mod_online.php	2009-05-29 13:51:42.000000000 +0200
+++ 16/administrator/modules/mod_online/mod_online.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_online.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_online.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_popular/mod_popular.php 16/administrator/modules/mod_popular/mod_popular.php
--- 15/administrator/modules/mod_popular/mod_popular.php	2009-05-29 13:51:42.000000000 +0200
+++ 16/administrator/modules/mod_popular/mod_popular.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_popular.php 10460 2008-06-27 10:03:09Z eddieajau $
+* @version		$Id: mod_popular.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_quickicon/mod_quickicon.php 16/administrator/modules/mod_quickicon/mod_quickicon.php
--- 15/administrator/modules/mod_quickicon/mod_quickicon.php	2009-06-28 05:34:54.000000000 +0200
+++ 16/administrator/modules/mod_quickicon/mod_quickicon.php	2010-04-24 21:58:20.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_quickicon.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_quickicon.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_stats/mod_stats.php 16/administrator/modules/mod_stats/mod_stats.php
--- 15/administrator/modules/mod_stats/mod_stats.php	2009-05-29 13:51:42.000000000 +0200
+++ 16/administrator/modules/mod_stats/mod_stats.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_stats.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_stats.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_status/mod_status.php 16/administrator/modules/mod_status/mod_status.php
--- 15/administrator/modules/mod_status/mod_status.php	2009-05-29 13:51:42.000000000 +0200
+++ 16/administrator/modules/mod_status/mod_status.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_status.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_status.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_submenu/mod_submenu.php 16/administrator/modules/mod_submenu/mod_submenu.php
--- 15/administrator/modules/mod_submenu/mod_submenu.php	2009-05-29 13:51:48.000000000 +0200
+++ 16/administrator/modules/mod_submenu/mod_submenu.php	2010-04-23 13:40:12.000000000 +0200
@@ -2,7 +2,7 @@
 /**
 * @version		$Id:mod_menu.php 2463 2006-02-18 06:05:38Z webImagery $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_title/mod_title.php 16/administrator/modules/mod_title/mod_title.php
--- 15/administrator/modules/mod_title/mod_title.php	2009-05-29 13:51:42.000000000 +0200
+++ 16/administrator/modules/mod_title/mod_title.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_title.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_title.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_toolbar/mod_toolbar.php 16/administrator/modules/mod_toolbar/mod_toolbar.php
--- 15/administrator/modules/mod_toolbar/mod_toolbar.php	2009-05-29 13:51:44.000000000 +0200
+++ 16/administrator/modules/mod_toolbar/mod_toolbar.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_toolbar.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_toolbar.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/modules/mod_unread/mod_unread.php 16/administrator/modules/mod_unread/mod_unread.php
--- 15/administrator/modules/mod_unread/mod_unread.php	2009-05-29 13:51:48.000000000 +0200
+++ 16/administrator/modules/mod_unread/mod_unread.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: mod_unread.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: mod_unread.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/CHANGELOG.php 16/CHANGELOG.php
--- 15/CHANGELOG.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/CHANGELOG.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: CHANGELOG.php 13426 2009-11-04 16:36:00Z ian $
+* @version		$Id: CHANGELOG.php 16385 2010-04-23 10:44:15Z ian $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -37,7 +37,78 @@
 - -> Removed
 ! -> Note
 
+-------------------- 1.5.16 Stable Release [23-April-2010] ------------------
+
+23-Apr-2010 Ian MacLennan
+ $ [#20195] Language credit update
+ $ [#20055] Language bug in "Menus"
+ # [#20043] JApplication::redirect() using a 301 error code incorrect.
+ # [#20025] Adding Reykjavik in timezone
+ $ [#20024] More updates on installation ini files
+ $ [#19966] New hi-IN installation language
+ $ [#19871] Missing string in a few installation ini files
+ # [#19859] Graceful handling of failing Apache plugins
+ # [#18046] $theURI not correctly set on IIS7 in environment\uri.php
+ # [#20184] Removal of searchwords from SEF urls to ensure cross platform compatibility
+
+07-Mar-2010 Ian MacLennan
+ # [#16930] Reverting patch from #16930 because it breaks the installer
+
+05-Mar-2010 Ian MacLennan
+ $ [#19864] Missing string in is-IS installation ini
+ # [#18648] News Feeds -> Categories can throw a SQL error when it tries to sort by section_name
+ # [#18619] Validation error of mod_search
+ # [#18570] Button select article in back-end ( RTL) ie7 + modal centering
+ # [#18403] Possible typo in mod_latestnews xml
+ # [#17762] Mod_login\helper.php: Trying to get property of non-object
+ # [#17235] SEF URL for contacts gives 404 error
+ # [#17000] Core related items and other modules non-functional with cache module on
+ # [#16974] Checking wrong cache field in com_content _loaddata() function
+ # [#16930] live_site$ in configuration.php ignored by some JS-based functions - breaks joomla 1.5 behind reverse proxy
+ # [#16506] JFolder::makeSafe removes dot
+
+04-Mar-2010 Ian MacLennan
+ $ [#19836] New Arabic Unitag installation language ar_AA
+ # [#19831] Preventing mod_login redirect to display trashed menu items
+ # [#19798] Undefined variable notice when enabling or disabling a user in com_user
+ # [#19680] Media manager folder param incorrectly named
+ # [#19245] Pagination in category blog layout not shown in specific case
+ # [#18848] Last module position in <select> is with space at end
+ # [#18683] The "search result Itemid" fix (15780) doesn't apply to beez
+ # [#18672] Issue with some feeds in release 1.5.15
+
+27-Feb-2010 Ian MacLennan
+ # [#19816] Adding a missing string in many installation ini, added helpfile listing
+ # [#19763] _JEXEC check missing from joomla file
+ # [#19681] Copying menus does not maintain parent child relationship
+ # [#19655] Poll component save task missing successful results message
+ # [#19555] Timezone code setting incorrect for 6:30 (Yagoon) and 11:30 (Norfolk) in Global Configuration
+ # [#19055] Tinymce bug prevents adding the valid id extended element for the anchor tag
+ # [#19009] Author Alias not properly escaped in Article Manager
+ # [#18936] Atom feed image url incorrect
+
+22-Feb-2010 Ian MacLennan
+ # [#17878] Installing modules with upgrade method
+ # [#18614] Incorrect bracketing in templates/system/component.php
+ # [#18617] Disabled components still show in the "menu type" tree of com_menus
+ # [#18612] Pathway error when using php4
+ # [#17986] A bug causes a space to appear after email links
+
+21-Feb-2010 Ian MacLennan
+ $ [#19715] Adding Phnom-Penh to UTC strings
+ $ [#19627] Add sr-YU in installation
+ $ [#19604] Missing ini string in installation
+ # [#19435] New caching of com_contact in 1.5.15 results in "Invalid Token"
+ # [#19405] Improvements to caption
+ # [#18987] Minor bug in module updater code
+
+
+26-Jan-2010 Louis Landry
+ ^ Updated copyright notices for 2010
+ ^ Moved testing infrastructure from the /testing/ folder into the tree.
+
 -------------------- 1.5.15 Stable Release [05-November-2009] ------------------
+
 04-Nov-2009 Ian MacLennan
  # [#17475] Fixed missing = in patch (parse error)
 
@@ -99,7 +170,7 @@
  # [#17559] Change to Beez Template to make it more generic
  # [#17231] mod_newsflash doesn't honour alternative read more text
  # [#17215] Missing <blockquote> button in TinyMCE 3
- 
+
 25-Sept-2009 Ian MacLennan
  # [#16484] Password field changed in configuration.php by Administration > Global Configuration
  # [#16804] Linked image in Beez template jumps in IE8
@@ -166,7 +237,7 @@
  $ [#16950] Lots of missing language strings in TinyMCE v3
  # [#16593] JFile::upload() uses chmod 777 in FTP mode
  # [#15673] Different time create date and start publishing in beez
- # [#16601] Section filter on article manager showing non content sections as well 
+ # [#16601] Section filter on article manager showing non content sections as well
  # [#16607] Mod Newsflash read more link broken with Beez template
  # [#16719] JHTML::tooltip quote problem
  # [#16753] CSS file is not updated when you edit the joomla
diff -aruN --binary 15/components/com_banners/banners.php 16/components/com_banners/banners.php
--- 15/components/com_banners/banners.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_banners/banners.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: banners.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: banners.php 14401 2010-01-26 14:10:00Z louis $
  * @package  Joomla
  * @subpackage	Banners
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_banners/controller.php 16/components/com_banners/controller.php
--- 15/components/com_banners/controller.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_banners/controller.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package  	Joomla
  * @subpackage	Banners
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_banners/models/banner.php 16/components/com_banners/models/banner.php
--- 15/components/com_banners/models/banner.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_banners/models/banner.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: banner.php 11393 2009-01-05 02:11:06Z ian $
+ * @version		$Id: banner.php 14401 2010-01-26 14:10:00Z louis $
  * @package  Joomla
  * @subpackage	Banners
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_banners/router.php 16/components/com_banners/router.php
--- 15/components/com_banners/router.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_banners/router.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: router.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: router.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Banners
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_contact/contact.php 16/components/com_contact/contact.php
--- 15/components/com_contact/contact.php	2009-05-29 13:53:02.000000000 +0200
+++ 16/components/com_contact/contact.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: contact.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: contact.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_contact/controller.php 16/components/com_contact/controller.php
--- 15/components/com_contact/controller.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/components/com_contact/controller.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 13426 2009-11-04 16:36:00Z ian $
+ * @version		$Id: controller.php 14974 2010-02-21 14:32:22Z ian $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -78,9 +78,29 @@
 		if ($user->get('id') || ($viewnow == 'category' && $viewcache == 0)) {
 			$view->display();
 		} else {
+
+			// Workaround for token caching
+			if ($viewName == 'contact')
+			{
+				ob_start();
+			}
+			
 			$option = JRequest::getCmd('option');
 			$cache =& JFactory::getCache($option, 'view');
 			$cache->get($view, 'display');
+			
+			// Workaround for token caching
+			if ($viewName == 'contact')
+			{
+				$contents = ob_get_contents();
+				ob_end_clean();
+				
+				$token			= JUtility::getToken();
+				$search 		= '#<input type="hidden" name="[0-9a-f]{32}" value="1" />#';
+				$replacement 	= '<input type="hidden" name="'.$token.'" value="1" />';
+
+				echo preg_replace($search, $replacement, $contents);
+			}
 		}
 	}
 
diff -aruN --binary 15/components/com_contact/models/category.php 16/components/com_contact/models/category.php
--- 15/components/com_contact/models/category.php	2009-05-29 13:53:02.000000000 +0200
+++ 16/components/com_contact/models/category.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: category.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: category.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_contact/models/contact.php 16/components/com_contact/models/contact.php
--- 15/components/com_contact/models/contact.php	2009-05-29 13:53:02.000000000 +0200
+++ 16/components/com_contact/models/contact.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: contact.php 11393 2009-01-05 02:11:06Z ian $
+ * @version		$Id: contact.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_contact/router.php 16/components/com_contact/router.php
--- 15/components/com_contact/router.php	2009-05-29 13:53:02.000000000 +0200
+++ 16/components/com_contact/router.php	2010-04-23 13:40:12.000000000 +0200
@@ -2,7 +2,7 @@
 /**
  * @version		$Id: router.php 7380 2007-05-06 21:26:03Z eddieajau $
  * @package		Joomla
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
@@ -79,7 +79,7 @@
 				{
 				    continue;
 				}
-				if (isset($query['view']) && $query['view'] == 'contact'
+				if (isset($query['view']) && $query['view'] == 'contact' && !isset($item->query['catid'])
 					&& isset($item->query['view']) && $item->query['view'] == 'category')
 				{
 					// Check for an undealt with contact id.
diff -aruN --binary 15/components/com_contact/views/category/view.feed.php 16/components/com_contact/views/category/view.feed.php
--- 15/components/com_contact/views/category/view.feed.php	2009-05-29 13:53:02.000000000 +0200
+++ 16/components/com_contact/views/category/view.feed.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.feed.php 11782 2009-04-24 17:25:58Z kdevine $
+ * @version		$Id: view.feed.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_contact/views/category/view.html.php 16/components/com_contact/views/category/view.html.php
--- 15/components/com_contact/views/category/view.html.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/components/com_contact/views/category/view.html.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.html.php 13339 2009-10-27 02:27:05Z ian $
+ * @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_contact/views/contact/view.html.php 16/components/com_contact/views/contact/view.html.php
--- 15/components/com_contact/views/contact/view.html.php	2009-05-29 13:53:02.000000000 +0200
+++ 16/components/com_contact/views/contact/view.html.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.html.php 11393 2009-01-05 02:11:06Z ian $
+ * @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Contact
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_content/content.php 16/components/com_content/content.php
--- 15/components/com_content/content.php	2009-05-29 13:53:00.000000000 +0200
+++ 16/components/com_content/content.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: content.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: content.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_content/controller.php 16/components/com_content/controller.php
--- 15/components/com_content/controller.php	2009-11-04 18:51:18.000000000 +0100
+++ 16/components/com_content/controller.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 13338 2009-10-27 02:15:55Z ian $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_content/helpers/icon.php 16/components/com_content/helpers/icon.php
--- 15/components/com_content/helpers/icon.php	2009-05-29 14:32:52.000000000 +0200
+++ 16/components/com_content/helpers/icon.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: icon.php 11917 2009-05-29 19:37:05Z ian $
+ * @version		$Id: icon.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_content/helpers/query.php 16/components/com_content/helpers/query.php
--- 15/components/com_content/helpers/query.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_content/helpers/query.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: query.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: query.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/components/com_content/helpers/route.php 16/components/com_content/helpers/route.php
--- 15/components/com_content/helpers/route.php	2009-05-29 13:52:56.000000000 +0200
+++ 16/components/com_content/helpers/route.php	2010-04-23 13:40:12.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: route.php 11190 2008-10-20 00:49:55Z ian $
+ * @version		$Id: route.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Content
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
